(defun c:txy( / xc yc r n m id )
(defun getdata()
(setq xc(atof(get_tile "X")))
(setq yc(atof(get_tile "Y")))
(setq r(atof(get_tile "R")))
(setq n(atof(get_tile "N")))
(setq m(atof(get_tile "M")))
)
(setq sdt 0)
(setq id(load_dialog "C:\\Users\\daili\\Desktop\\CAD\\tongxinyuan.dcl"))
(if (< id 0)(exit))
(setq xc 50 yc 50 r 5 n 10 m 5)
(if (not (new_dialog "txy" id))(exit))
(set_tile "X" (rtos xc 2 2))
(set_tile "Y" (rtos yc 2 2))
(set_tile "R" (rtos r 2 2))
(set_tile "N" (rtos n 2 2))
(set_tile "M" (rtos m 2 2))
(action_tile "accept" "(getdata) (done_dialog 1)")
(action_tile "cancel" "(done_dialog -1)")
(setq sdt (start_dialog))
(unload_dialog id)
(if (> sdt 0)
(Repeat n
(Command "circle" (list xc yc) r)
(Setq r (+ r m))
)
(princ)
)
)
没什么问题 最后一个括号没有用美式用的是中式 另外最后再补一个括号就好了 上面是我改好的 只要是列表有缺陷 你就查括号有没有少或者不对 用一个专门的代码编辑器吧 比较容易看出括号形式或数量不对